AGProtocol (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.http, class: AGProtocol

Package com.franz.agraph.http

# Class AGProtocol

java.lang.Object
org.eclipse.rdf4j.http.protocol.Protocol
com.franz.agraph.http.AGProtocol

public class AGProtocol extends org.eclipse.rdf4j.http.protocol.Protocol

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.rdf4j.http.protocol.Protocol

  `org.eclipse.rdf4j.http.protocol.Protocol.Action, org.eclipse.rdf4j.http.protocol.Protocol.TIMEOUT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOWED_VALUE_PARAM_NAME`
  attribute definition request parameters
  `static final String`
  `AMOUNT_PARAM_NAME`
  Parameter name for the 'amount' parameter of blank node service.
  `static final String`
  `ATTRIBUTES_PARAM_NAME`
  Used by the /statements service
  `static final String`
  `AUTOCOMMIT`
  Relative location of the autocommit service.
  `static final String`
  `AUTOCOMMIT_PARAM_NAME`
  Parameter name for the 'autoCommit' parameter for sessions.
  `static final String`
  `BEGIN`
  Relative location of the begin service.
  `static final String`
  `BLANK_NODES`
  Relative location of the blank nodes service.
  `static final String`
  `BOX`
  Relative location of the Geo Box service.
  `static final String`
  `CARTESIAN`
  Relative location of the Geo Types Cartesian service.
  `static final String`
  `CATALOGS`
  Relative location of the catalogs service.
  `static final String`
  `CHECK_VARIABLES`
  A boolean that defaults to false, indicating whether an error should be raised when a SPARQL query selects variables that are not mentioned in the query body.
  `static final String`
  `CIRCLE`
  Relative location of the Geo Circle service.
  `static final String`
  `CLOSE`
  Relative location of session close.
  `static final String`
  `COMMIT`
  Relative location of the commit service.
  `static final String`
  `COMMIT_PHASE`
  Parameter name for the 'phase' parameter for the commit service.
  `static final String`
  `CUSTOM`
  Relative location of the custom stored proc service.
  `static final String`
  `DEFINE_ATTRIBUTE_LOCATION`
  Relative location of the attribute definition service
  `static final String`
  `DEGREE_PARAM_VALUE`
  Parameter value 'degree' for the 'unit' of a Geo type
  `static final String`
  `DELETE`
  Relative location to delete statements.
  `static final String`
  `DEPTH_PARAM_NAME`
  Parameter name for the 'depth' for the neighbor matrix
  `static final String`
  `ENCODED_TYPE_PARAM_NAME`
  Parameter name for the 'encoding' parameter for mappings.
  `static final String`
  `EVAL`
  Relative location of the eval service.
  `static final String`
  `FILE_PARAM_NAME`
  Parameter name for the 'file' parameter for statements.
  `static final String`
  `FILTER_PARAM_NAME`
  `static final String`
  `FREETEXT`
  Relative location of the freetext service.
  `static final String`
  `FTI_INDICES`
  Relative location of the freetext predicates service.
  `static final String`
  `FTI_PREDICATE_PARAM_NAME`
  Parameter name for the 'predicate' parameter for freetext.
  `static final String`
  `FUNCTOR`
  Relative location of the functor service.
  `static final String`
  `GENERATOR_PARAM_NAME`
  Parameter name for the 'generator' for the neighbor matrix
  `static final String`
  `GEO`
  Relative location of the Geo service.
  `static final String`
  `GEO_PREDICATE_PARAM_NAME`
  Parameter name for the 'predicate' to search for in geo searches.
  `static final String`
  `GET_PREPARED_TRANSACTIONS`
  Relative location of the getPreparedTransactions
  `static final String`
  `GROUP_PARAM_NAME`
  Parameter name for the 'group' used in seeding a neighbor matrix
  `static final String`
  `HAVERSINE`
  Relative location of the Geo Haversine service.
  `static final String`
  `INCLUDE_STRINGS`
  `static final String`
  `INCLUDE_TRIPLES`
  `static final String`
  `INDICES`
  Relative location of the INDICES service.
  `static final String`
  `KM_PARAM_VALUE`
  Parameter value 'km' for the 'unit' of a Geo type
  `static final String`
  `LAT_PARAM_NAME`
  Parameter name for the 'lat' ordinate of a haversine
  `static final String`
  `LATMAX_PARAM_NAME`
  Parameter name for the 'latmax' of a Geo type
  `static final String`
  `LATMIN_PARAM_NAME`
  Parameter name for the 'latmin' of a Geo type
  `static final String`
  `LIFETIME_PARAM_NAME`
  Parameter name for the 'lifetime' parameter for sessions.
  `static final String`
  `LIMIT_PARAM_NAME`
  Parameter name for the 'limit' on results returned.
  `static final String`
  `LOAD_INIT_FILE_PARAM_NAME`
  Parameter name for the 'loadInitFile' parameter for sessions.
  `static final String`
  `LOGFILE`
  Location of the log service.
  `static final String`
  `LON_PARAM_NAME`
  Parameter name for the 'lon' ordinate of a haversine
  `static final String`
  `LONGMAX_PARAM_NAME`
  Parameter name for the 'longmax' of a Geo type
  `static final String`
  `LONGMIN_PARAM_NAME`
  Parameter name for the 'longmin' of a Geo type
  `static final String`
  `MAPPING`
  Relative location of the mapping service.
  `static final String`
  `MAPPING_DATATYPE`
  Relative location of the datatype mapping service.
  `static final String`
  `MAPPING_PREDICATE`
  Relative location of the predicate mapping service.
  `static final String`
  `MAXIMUM_PARAM_NAME`
  attribute definition request parameters
  `static final String`
  `MILE_PARAM_VALUE`
  Parameter value 'mile' for the 'unit' of a Geo type
  `static final String`
  `MINIMUM_PARAM_NAME`
  attribute definition request parameters
  `static final String`
  `NAME_PARAM_NAME`
  attribute definition request parameters
  `static final String`
  `ND_GEOSPATIAL_DATATYPE_AUTOMATION`
  `static final String`
  `NEIGHBOR_MATRICES`
  Relative location of the SNA Neighbor Matrices registration service.
  `static final String`
  `OBJECTOF_PARAM_NAME`
  Parameter name for the 'objectOf' predicates in the generator
  `static final String`
  `ON_PARAM_NAME`
  Parameter name for the 'on' parameter of autoCommit.
  `static final String`
  `ORDERED_PARAM_NAME`
  attribute definition request parameters
  `static final String`
  `OVERRIDE_CONTEXT_PARAM_NAME`
  Used by the /statements service to override the context present in the data being loaded with the the supplied one.
  `static final String`
  `OVERRIDE_PARAM_NAME`
  Parameter name for the 'override' parameter for put on a repository.
  `static final String`
  `PING`
  Relative location of the session ping service.
  `static final String`
  `PLANNER_PARAM_NAME`
  Parameter name for the 'planner' to use during a query
  `static final String`
  `POINT_PARAM_NAME`
  Parameter name for the 'point' of a polygon
  `static final String`
  `POLYGON`
  Relative location of the Geo Polygon registration service.
  `static final String`
  `POLYGON_PARAM_NAME`
  Parameter name for the 'polygon' being referenced
  `static final String`
  `PROCESSES`
  Relative location of the processes service.
  `static final String`
  `PROP_OVERRIDE_CONTEXT`
  The name of the system property used to toggle context overriding behaviour.
  `static final String`
  `QUERIES`
  Relative location of the session prepared queries service.
  `static final String`
  `QUERY_OPTIONS`
  Relativec location of the query options services prefix.
  `static final String`
  `RADIAN_PARAM_VALUE`
  Parameter value 'radian' for the 'unit' of a Geo type
  `static final String`
  `RADIUS_PARAM_NAME`
  Parameter name for the 'radius' of a circle
  `static final String`
  `RECONFIGURE`
  Relative location of the reconfigure service.
  `static final String`
  `REPO_PARAM_NAME`
  Parameter name for the 'repo' parameter for federation
  `static final String`
  `RESOURCE_PARAM_NAME`
  Parameter name 'resource' for the polygon being registered
  `static final String`
  `ROLLBACK`
  Relative location of the rollback service.
  `static final String`
  `SAVE_PARAM_NAME`
  Parameter name for the name to 'save' a prepared query
  `static final String`
  `SESSION`
  Relative location of the session service.
  `static final String`
  `SESSION_DOC`
  `static final String`
  `SNA_GENERATORS`
  Relative location of the SNA Generators registration service.
  `static final String`
  `SPHERICAL`
  Relative location of the Geo Types Spherical service.
  `static final String`
  `SPIN`
  `static final String`
  `SPIN_ARGUMENTS`
  `static final String`
  `SPIN_FUNCTION`
  `static final String`
  `SPIN_MAGICPROPERTY`
  `static final String`
  `SPIN_QUERY`
  `static final String`
  `STATIC_FILTER_LOCATION`
  Relative location of static attribute filter service
  `static final String`
  `STRIP_WIDTH_PARAM_NAME`
  Parameter name for the 'stripWidth' of a Geo type
  `static final String`
  `SUBJECTOF_PARAM_NAME`
  Parameter name for the 'subjectOf' predicates in the generator
  `static final String`
  `TYPE_PARAM_NAME`
  Parameter name for the 'type' parameter for datatype mapping.
  `static final String`
  `TYPES`
  Relative location of the Geo Types service.
  `static final String`
  `UNDIRECTED_PARAM_NAME`
  Parameter name for the 'undirected' predicates in the generator
  `static final String`
  `UNIT_PARAM_NAME`
  Parameter name for the 'unit' of a Geo type
  `static final String`
  `URL_PARAM_NAME`
  Parameter name for the 'url' parameter for federation.
  `static final String`
  `USER_ATTRIBUTE_HEADER`
  Override header for supplying user attributes with a store-based request.
  `static final String`
  `USER_DATA`
  Relative location of the user data service.
  `static final String`
  `USER_PERMISSIONS`
  Relative location of the user permissions service.
  `static final String`
  `USER_ROLES`
  Relative location of the user roles service.
  `static final String`
  `USERS`
  Relative location of the users service.
  `static final String`
  `VERSION`
  Relative location of the version service.
  `static final String`
  `WARMUP`
  Relative location of the warmup service.
  `static final String`
  `X_COMMIT_HEADER`
  Headers for requesting rollback and commit as part of a request
  `static final String`
  `X_PARAM_NAME`
  Parameter name for the 'x' ordinate of a circle
  `static final String`
  `X_REPL_SETTINGS`
  Header used to transfer settings related to multi-master replication.
  `static final String`
  `X_ROLLBACK_HEADER`
  `static final String`
  `XID`
  Parameter name for the 'xid' parameter for the commit/rollback services
  `static final String`
  `XMAX_PARAM_NAME`
  Parameter name for the 'xmax' of a Geo type
  `static final String`
  `XMIN_PARAM_NAME`
  Parameter name for the 'xmin' of a Geo type
  `static final String`
  `Y_PARAM_NAME`
  Parameter name for the 'y' ordinate of a circle
  `static final String`
  `YMAX_PARAM_NAME`
  Parameter name for the 'ymax' of a Geo type
  `static final String`
  `YMIN_PARAM_NAME`
  Parameter name for the 'ymin' of a Geo type

  ### Fields inherited from class org.eclipse.rdf4j.http.protocol.Protocol

  `ACCEPT_PARAM_NAME, ACTION_PARAM_NAME, BASEURI_PARAM_NAME, BINDING_PREFIX, CACHE_TIMEOUT_PROPERTY, CONFIG, CONTEXT_PARAM_NAME, CONTEXTS, DEFAULT_GRAPH_PARAM_NAME, DEFAULT_TIMEOUT, DISTINCT_PARAM_NAME, FORM_MIME_TYPE, GRAPH_PARAM_NAME, INCLUDE_INFERRED_PARAM_NAME, INSERT_GRAPH_PARAM_NAME, ISOLATION_LEVEL_PARAM_NAME, NAMED_GRAPH_PARAM_NAME, NAMESPACES, NULL_PARAM_VALUE, OBJECT_PARAM_NAME, OFFSET_PARAM_NAME, PREDICATE_PARAM_NAME, PRESERVE_BNODE_ID_PARAM_NAME, PROTOCOL, QUERY_LANGUAGE_PARAM_NAME, QUERY_PARAM_NAME, REMOVE_GRAPH_PARAM_NAME, REPOSITORIES, SIZE, SPARQL_QUERY_MIME_TYPE, SPARQL_UPDATE_MIME_TYPE, STATEMENTS, SUBJECT_PARAM_NAME, TIMEOUT_PARAM_NAME, TRANSACTION_SETTINGS_PREFIX, TRANSACTIONS, TXN_MIME_TYPE, UPDATE_PARAM_NAME, USING_GRAPH_PARAM_NAME, USING_NAMED_GRAPH_PARAM_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGProtocol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `encode(String s)`
  `static String`
  `getAttributeDefinitionLocation(String root)`
  `static final String`
  `getAutoCommitLocation(String sessionRoot)`
  `static final String`
  `getBlankNodesURL(String repositoryLocation)`
  Get the location of the blank nodes service for a repository
  `static String`
  `getDatatypeMappingLocation(String sessionRoot)`
  `static String`
  `getEvalLocation(String sessionRoot)`
  `static String`
  `getFreetextIndexLocation(String sessionRoot)`
  `static String`
  `getFreetextIndexLocation(String sessionRoot, String name)`
  `static String`
  `getFreetextLocation(String sessionRoot)`
  `static String`
  `getFunctorLocation(String serverRoot)`
  `static String`
  `getGeoBoxLocation(String sessionRoot)`
  `static String`
  `getGeoCircleLocation(String sessionRoot)`
  `static String`
  `getGeoHaversineLocation(String sessionRoot)`
  `static String`
  `getGeoLocation(String sessionRoot)`
  `static String`
  `getGeoPolygonLocation(String sessionRoot)`
  `static String`
  `getGeoTypesCartesianLocation(String sessionRoot)`
  `static String`
  `getGeoTypesLocation(String sessionRoot)`
  `static String`
  `getGeoTypesSphericalLocation(String sessionRoot)`
  `static String`
  `getIndicesURL(String root)`
  `static String`
  `getLogLocation(String serverURL)`
  Get the location of the server logs resource on the specified server.
  `static String`
  `getMappingLocation(String sessionRoot)`
  `static final String`
  `getNamedCatalogLocation(String serverURL, String catalogName)`
  `static String`
  `getNamedCatalogRepositoriesLocation(String catalogURL)`
  `static final String`
  `getNamedCatalogsURL(String serverURL)`
  Location of the named catalog's service
  `static String`
  `getNDGeospatialDatatypeAutomation(String root)`
  `static String`
  `getPredicateMappingLocation(String sessionRoot)`
  `static final String`
  `getQueriesLocation(String sessionRoot)`
  `static String`
  `getQueryOptionLocation(String root, String name)`
  `static String`
  `getQueryOptionsLocation(String root)`
  `static String`
  `getRootCatalogRepositoriesLocation(String catalogURL)`
  `static final String`
  `getRootCatalogURL(String serverURL)`
  Location of the root catalog service
  `static final String`
  `getSavedQueryLocation(String sessionRoot, String queryName)`
  `static final String`
  `getSessionCloseLocation(String sessionRoot)`
  `static final String`
  `getSessionPingLocation(String sessionRoot)`
  `static final String`
  `getSessionURL(String serverLocation)`
  `static String`
  `getSNAGeneratorLocation(String sessionRoot, String generator)`
  `static String`
  `getSNAGeneratorsLocation(String sessionRoot)`
  `static String`
  `getSNANeighborMatricesLocation(String sessionRoot)`
  `static String`
  `getSNANeighborMatrixLocation(String sessionRoot, String matrix)`
  `static String`
  `getStatementsDeleteLocation(String sessionRoot)`
  `static String`
  `getStaticFilterLocation(String root)`
  `static final String`
  `getStoredProcLocation(String sessionRoot)`
  `static String`
  `spinURL(String root, String type, String uri)`

  ### Methods inherited from class org.eclipse.rdf4j.http.protocol.Protocol

  `decodeContext, decodeContexts, decodeResource, decodeURI, decodeValue, encodeContext, encodeContexts, encodeValue, getConfigLocation, getContextsLocation, getNamespacePrefixLocation, getNamespacesLocation, getProtocolLocation, getRepositoriesLocation, getRepositoryConfigLocation, getRepositoryID, getRepositoryLocation, getServerLocation, getSizeLocation, getStatementsLocation, getTransactionsLocation`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CATALOGS

    public static final String CATALOGS
    Relative location of the catalogs service.
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    Relative location of the version service.
    See Also:
      - Constant Field Values

  - ### RECONFIGURE

    public static final String RECONFIGURE
    Relative location of the reconfigure service.
    See Also:
      - Constant Field Values

  - ### USERS

    public static final String USERS
    Relative location of the users service.
    See Also:
      - Constant Field Values

  - ### USER_ROLES

    public static final String USER_ROLES
    Relative location of the user roles service.
    See Also:
      - Constant Field Values

  - ### USER_PERMISSIONS

    public static final String USER_PERMISSIONS
    Relative location of the user permissions service.
    See Also:
      - Constant Field Values

  - ### USER_DATA

    public static final String USER_DATA
    Relative location of the user data service.
    See Also:
      - Constant Field Values

  - ### PROCESSES

    public static final String PROCESSES
    Relative location of the processes service.
    See Also:
      - Constant Field Values

  - ### SESSION

    public static final String SESSION
    Relative location of the session service.
    See Also:
      - Constant Field Values

  - ### LIFETIME_PARAM_NAME

    public static final String LIFETIME_PARAM_NAME
    Parameter name for the 'lifetime' parameter for sessions.
    See Also:
      - Constant Field Values

  - ### LOAD_INIT_FILE_PARAM_NAME

    public static final String LOAD_INIT_FILE_PARAM_NAME
    Parameter name for the 'loadInitFile' parameter for sessions.
    See Also:
      - Constant Field Values

  - ### AUTOCOMMIT_PARAM_NAME

    public static final String AUTOCOMMIT_PARAM_NAME
    Parameter name for the 'autoCommit' parameter for sessions.
    See Also:
      - Constant Field Values

  - ### OVERRIDE_PARAM_NAME

    public static final String OVERRIDE_PARAM_NAME
    Parameter name for the 'override' parameter for put on a repository.
    See Also:
      - Constant Field Values

  - ### CLOSE

    public static final String CLOSE
    Relative location of session close.
    See Also:
      - Constant Field Values

  - ### PING

    public static final String PING
    Relative location of the session ping service.
    See Also:
      - Constant Field Values

  - ### QUERIES

    public static final String QUERIES
    Relative location of the session prepared queries service.
    See Also:
      - Constant Field Values

  - ### BLANK_NODES

    public static final String BLANK_NODES
    Relative location of the blank nodes service.
    See Also:
      - Constant Field Values

  - ### AMOUNT_PARAM_NAME

    public static final String AMOUNT_PARAM_NAME
    Parameter name for the 'amount' parameter of blank node service.
    See Also:
      - Constant Field Values

  - ### DELETE

    public static final String DELETE
    Relative location to delete statements.
    See Also:
      - Constant Field Values

  - ### AUTOCOMMIT

    public static final String AUTOCOMMIT
    Relative location of the autocommit service.
    See Also:
      - Constant Field Values

  - ### CUSTOM

    public static final String CUSTOM
    Relative location of the custom stored proc service.
    See Also:
      - Constant Field Values

  - ### ON_PARAM_NAME

    public static final String ON_PARAM_NAME
    Parameter name for the 'on' parameter of autoCommit.
    See Also:
      - Constant Field Values

  - ### FILE_PARAM_NAME

    public static final String FILE_PARAM_NAME
    Parameter name for the 'file' parameter for statements.
    See Also:
      - Constant Field Values

  - ### COMMIT

    public static final String COMMIT
    Relative location of the commit service.
    See Also:
      - Constant Field Values

  - ### COMMIT_PHASE

    public static final String COMMIT_PHASE
    Parameter name for the 'phase' parameter for the commit service.
    See Also:
      - Constant Field Values

  - ### XID

    public static final String XID
    Parameter name for the 'xid' parameter for the commit/rollback services
    See Also:
      - Constant Field Values

  - ### ROLLBACK

    public static final String ROLLBACK
    Relative location of the rollback service.
    See Also:
      - Constant Field Values

  - ### GET_PREPARED_TRANSACTIONS

    public static final String GET_PREPARED_TRANSACTIONS
    Relative location of the getPreparedTransactions
    See Also:
      - Constant Field Values

  - ### EVAL

    public static final String EVAL
    Relative location of the eval service.
    See Also:
      - Constant Field Values

  - ### FUNCTOR

    public static final String FUNCTOR
    Relative location of the functor service.
    See Also:
      - Constant Field Values

  - ### FREETEXT

    public static final String FREETEXT
    Relative location of the freetext service.
    See Also:
      - Constant Field Values

  - ### FTI_INDICES

    public static final String FTI_INDICES
    Relative location of the freetext predicates service.
    See Also:
      - Constant Field Values

  - ### FTI_PREDICATE_PARAM_NAME

    public static final String FTI_PREDICATE_PARAM_NAME
    Parameter name for the 'predicate' parameter for freetext.
    See Also:
      - Constant Field Values

  - ### MAPPING

    public static final String MAPPING
    Relative location of the mapping service.
    See Also:
      - Constant Field Values

  - ### MAPPING_DATATYPE

    public static final String MAPPING_DATATYPE
    Relative location of the datatype mapping service.
    See Also:
      - Constant Field Values

  - ### TYPE_PARAM_NAME

    public static final String TYPE_PARAM_NAME
    Parameter name for the 'type' parameter for datatype mapping.
    See Also:
      - Constant Field Values

  - ### ENCODED_TYPE_PARAM_NAME

    public static final String ENCODED_TYPE_PARAM_NAME
    Parameter name for the 'encoding' parameter for mappings.
    See Also:
      - Constant Field Values

  - ### MAPPING_PREDICATE

    public static final String MAPPING_PREDICATE
    Relative location of the predicate mapping service.
    See Also:
      - Constant Field Values

  - ### URL_PARAM_NAME

    public static final String URL_PARAM_NAME
    Parameter name for the 'url' parameter for federation.
    See Also:
      - Constant Field Values

  - ### REPO_PARAM_NAME

    public static final String REPO_PARAM_NAME
    Parameter name for the 'repo' parameter for federation
    See Also:
      - Constant Field Values

  - ### PLANNER_PARAM_NAME

    public static final String PLANNER_PARAM_NAME
    Parameter name for the 'planner' to use during a query
    See Also:
      - Constant Field Values

  - ### SAVE_PARAM_NAME

    public static final String SAVE_PARAM_NAME
    Parameter name for the name to 'save' a prepared query
    See Also:
      - Constant Field Values

  - ### GEO

    public static final String GEO
    Relative location of the Geo service.
    See Also:
      - Constant Field Values

  - ### TYPES

    public static final String TYPES
    Relative location of the Geo Types service.
    See Also:
      - Constant Field Values

  - ### CARTESIAN

    public static final String CARTESIAN
    Relative location of the Geo Types Cartesian service.
    See Also:
      - Constant Field Values

  - ### SPHERICAL

    public static final String SPHERICAL
    Relative location of the Geo Types Spherical service.
    See Also:
      - Constant Field Values

  - ### STRIP_WIDTH_PARAM_NAME

    public static final String STRIP_WIDTH_PARAM_NAME
    Parameter name for the 'stripWidth' of a Geo type
    See Also:
      - Constant Field Values

  - ### XMIN_PARAM_NAME

    public static final String XMIN_PARAM_NAME
    Parameter name for the 'xmin' of a Geo type
    See Also:
      - Constant Field Values

  - ### XMAX_PARAM_NAME

    public static final String XMAX_PARAM_NAME
    Parameter name for the 'xmax' of a Geo type
    See Also:
      - Constant Field Values

  - ### YMIN_PARAM_NAME

    public static final String YMIN_PARAM_NAME
    Parameter name for the 'ymin' of a Geo type
    See Also:
      - Constant Field Values

  - ### YMAX_PARAM_NAME

    public static final String YMAX_PARAM_NAME
    Parameter name for the 'ymax' of a Geo type
    See Also:
      - Constant Field Values

  - ### LATMIN_PARAM_NAME

    public static final String LATMIN_PARAM_NAME
    Parameter name for the 'latmin' of a Geo type
    See Also:
      - Constant Field Values

  - ### LONGMIN_PARAM_NAME

    public static final String LONGMIN_PARAM_NAME
    Parameter name for the 'longmin' of a Geo type
    See Also:
      - Constant Field Values

  - ### LATMAX_PARAM_NAME

    public static final String LATMAX_PARAM_NAME
    Parameter name for the 'latmax' of a Geo type
    See Also:
      - Constant Field Values

  - ### LONGMAX_PARAM_NAME

    public static final String LONGMAX_PARAM_NAME
    Parameter name for the 'longmax' of a Geo type
    See Also:
      - Constant Field Values

  - ### UNIT_PARAM_NAME

    public static final String UNIT_PARAM_NAME
    Parameter name for the 'unit' of a Geo type
    See Also:
      - Constant Field Values

  - ### DEGREE_PARAM_VALUE

    public static final String DEGREE_PARAM_VALUE
    Parameter value 'degree' for the 'unit' of a Geo type
    See Also:
      - Constant Field Values

  - ### RADIAN_PARAM_VALUE

    public static final String RADIAN_PARAM_VALUE
    Parameter value 'radian' for the 'unit' of a Geo type
    See Also:
      - Constant Field Values

  - ### KM_PARAM_VALUE

    public static final String KM_PARAM_VALUE
    Parameter value 'km' for the 'unit' of a Geo type
    See Also:
      - Constant Field Values

  - ### MILE_PARAM_VALUE

    public static final String MILE_PARAM_VALUE
    Parameter value 'mile' for the 'unit' of a Geo type
    See Also:
      - Constant Field Values

  - ### LIMIT_PARAM_NAME

    public static final String LIMIT_PARAM_NAME
    Parameter name for the 'limit' on results returned.
    See Also:
      - Constant Field Values

  - ### BOX

    public static final String BOX
    Relative location of the Geo Box service.
    See Also:
      - Constant Field Values

  - ### GEO_PREDICATE_PARAM_NAME

    public static final String GEO_PREDICATE_PARAM_NAME
    Parameter name for the 'predicate' to search for in geo searches.
    See Also:
      - Constant Field Values

  - ### CIRCLE

    public static final String CIRCLE
    Relative location of the Geo Circle service.
    See Also:
      - Constant Field Values

  - ### X_PARAM_NAME

    public static final String X_PARAM_NAME
    Parameter name for the 'x' ordinate of a circle
    See Also:
      - Constant Field Values

  - ### Y_PARAM_NAME

    public static final String Y_PARAM_NAME
    Parameter name for the 'y' ordinate of a circle
    See Also:
      - Constant Field Values

  - ### RADIUS_PARAM_NAME

    public static final String RADIUS_PARAM_NAME
    Parameter name for the 'radius' of a circle
    See Also:
      - Constant Field Values

  - ### HAVERSINE

    public static final String HAVERSINE
    Relative location of the Geo Haversine service.
    See Also:
      - Constant Field Values

  - ### LAT_PARAM_NAME

    public static final String LAT_PARAM_NAME
    Parameter name for the 'lat' ordinate of a haversine
    See Also:
      - Constant Field Values

  - ### LON_PARAM_NAME

    public static final String LON_PARAM_NAME
    Parameter name for the 'lon' ordinate of a haversine
    See Also:
      - Constant Field Values

  - ### POLYGON

    public static final String POLYGON
    Relative location of the Geo Polygon registration service.
    See Also:
      - Constant Field Values

  - ### RESOURCE_PARAM_NAME

    public static final String RESOURCE_PARAM_NAME
    Parameter name 'resource' for the polygon being registered
    See Also:
      - Constant Field Values

  - ### POLYGON_PARAM_NAME

    public static final String POLYGON_PARAM_NAME
    Parameter name for the 'polygon' being referenced
    See Also:
      - Constant Field Values

  - ### POINT_PARAM_NAME

    public static final String POINT_PARAM_NAME
    Parameter name for the 'point' of a polygon
    See Also:
      - Constant Field Values

  - ### SNA_GENERATORS

    public static final String SNA_GENERATORS
    Relative location of the SNA Generators registration service.
    See Also:
      - Constant Field Values

  - ### OBJECTOF_PARAM_NAME

    public static final String OBJECTOF_PARAM_NAME
    Parameter name for the 'objectOf' predicates in the generator
    See Also:
      - Constant Field Values

  - ### SUBJECTOF_PARAM_NAME

    public static final String SUBJECTOF_PARAM_NAME
    Parameter name for the 'subjectOf' predicates in the generator
    See Also:
      - Constant Field Values

  - ### UNDIRECTED_PARAM_NAME

    public static final String UNDIRECTED_PARAM_NAME
    Parameter name for the 'undirected' predicates in the generator
    See Also:
      - Constant Field Values

  - ### NEIGHBOR_MATRICES

    public static final String NEIGHBOR_MATRICES
    Relative location of the SNA Neighbor Matrices registration service.
    See Also:
      - Constant Field Values

  - ### GENERATOR_PARAM_NAME

    public static final String GENERATOR_PARAM_NAME
    Parameter name for the 'generator' for the neighbor matrix
    See Also:
      - Constant Field Values

  - ### GROUP_PARAM_NAME

    public static final String GROUP_PARAM_NAME
    Parameter name for the 'group' used in seeding a neighbor matrix
    See Also:
      - Constant Field Values

  - ### DEPTH_PARAM_NAME

    public static final String DEPTH_PARAM_NAME
    Parameter name for the 'depth' for the neighbor matrix
    See Also:
      - Constant Field Values

  - ### INDICES

    public static final String INDICES
    Relative location of the INDICES service.
    See Also:
      - Constant Field Values

  - ### SPIN

    public static final String SPIN
    See Also:
      - Constant Field Values

  - ### SPIN_MAGICPROPERTY

    public static final String SPIN_MAGICPROPERTY
    See Also:
      - Constant Field Values

  - ### SPIN_FUNCTION

    public static final String SPIN_FUNCTION
    See Also:
      - Constant Field Values

  - ### SPIN_QUERY

    public static final String SPIN_QUERY
    See Also:
      - Constant Field Values

  - ### SPIN_ARGUMENTS

    public static final String SPIN_ARGUMENTS
    See Also:
      - Constant Field Values

  - ### WARMUP

    public static final String WARMUP
    Relative location of the warmup service.
    See Also:
      - Constant Field Values

  - ### INCLUDE_STRINGS

    public static final String INCLUDE_STRINGS
    See Also:
      - Constant Field Values

  - ### INCLUDE_TRIPLES

    public static final String INCLUDE_TRIPLES
    See Also:
      - Constant Field Values

  - ### LOGFILE

    public static final String LOGFILE
    Location of the log service.
    See Also:
      - Constant Field Values

  - ### CHECK_VARIABLES

    public static final String CHECK_VARIABLES
    A boolean that defaults to false, indicating whether an error should be raised when a SPARQL query selects variables that are not mentioned in the query body.
    See Also:
      - Constant Field Values

  - ### SESSION_DOC

    public static final String SESSION_DOC
    See Also:
      - Constant Field Values

  - ### BEGIN

    public static final String BEGIN
    Relative location of the begin service.
    See Also:
      - Constant Field Values

  - ### DEFINE_ATTRIBUTE_LOCATION

    public static final String DEFINE_ATTRIBUTE_LOCATION
    Relative location of the attribute definition service
    See Also:
      - Constant Field Values

  - ### NAME_PARAM_NAME

    public static final String NAME_PARAM_NAME
    attribute definition request parameters
    See Also:
      - Constant Field Values

  - ### ORDERED_PARAM_NAME

    public static final String ORDERED_PARAM_NAME
    attribute definition request parameters
    See Also:
      - Constant Field Values

  - ### ALLOWED_VALUE_PARAM_NAME

    public static final String ALLOWED_VALUE_PARAM_NAME
    attribute definition request parameters
    See Also:
      - Constant Field Values

  - ### MAXIMUM_PARAM_NAME

    public static final String MAXIMUM_PARAM_NAME
    attribute definition request parameters
    See Also:
      - Constant Field Values

  - ### MINIMUM_PARAM_NAME

    public static final String MINIMUM_PARAM_NAME
    attribute definition request parameters
    See Also:
      - Constant Field Values

  - ### ATTRIBUTES_PARAM_NAME

    public static final String ATTRIBUTES_PARAM_NAME
    Used by the /statements service
    See Also:
      - Constant Field Values

  - ### OVERRIDE_CONTEXT_PARAM_NAME

    public static final String OVERRIDE_CONTEXT_PARAM_NAME
    Used by the /statements service to override the context present in the data being loaded with the the supplied one.
    See Also:
      - Constant Field Values

  - ### PROP_OVERRIDE_CONTEXT

    public static final String PROP_OVERRIDE_CONTEXT
    The name of the system property used to toggle context overriding behaviour.
    See Also:
      - Constant Field Values

  - ### STATIC_FILTER_LOCATION

    public static final String STATIC_FILTER_LOCATION
    Relative location of static attribute filter service
    See Also:
      - Constant Field Values

  - ### ND_GEOSPATIAL_DATATYPE_AUTOMATION

    public static final String ND_GEOSPATIAL_DATATYPE_AUTOMATION
    See Also:
      - Constant Field Values

  - ### QUERY_OPTIONS

    public static final String QUERY_OPTIONS
    Relativec location of the query options services prefix.
    See Also:
      - Constant Field Values

  - ### FILTER_PARAM_NAME

    public static final String FILTER_PARAM_NAME
    See Also:
      - Constant Field Values

  - ### USER_ATTRIBUTE_HEADER

    public static final String USER_ATTRIBUTE_HEADER
    Override header for supplying user attributes with a store-based request.
    See Also:
      - Constant Field Values

  - ### X_COMMIT_HEADER

    public static final String X_COMMIT_HEADER
    Headers for requesting rollback and commit as part of a request
    See Also:
      - Constant Field Values

  - ### X_ROLLBACK_HEADER

    public static final String X_ROLLBACK_HEADER
    See Also:
      - Constant Field Values

  - ### X_REPL_SETTINGS

    public static final String X_REPL_SETTINGS
    Header used to transfer settings related to multi-master replication.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AGProtocol

    public AGProtocol()

- ## Method Details

  - ### getLogLocation

    public static String getLogLocation(String serverURL)
    Get the location of the server logs resource on the specified server.
    Parameters:
      `serverURL` - the base location of a server implementing this REST protocol.
    Returns:
      the location of the server logs resource on the specified server

  - ### getRootCatalogURL

    public static final String getRootCatalogURL(String serverURL)
    Location of the root catalog service
    Parameters:
      `serverURL` - the server url
    Returns:
      String the root catalog service location

  - ### getNamedCatalogsURL

    public static final String getNamedCatalogsURL(String serverURL)
    Location of the named catalog's service
    Parameters:
      `serverURL` - the server url
    Returns:
      String the named catalog's service location

  - ### getNamedCatalogLocation

    public static final String getNamedCatalogLocation(String serverURL, String catalogName)
    Parameters:
      `serverURL` - the server url
      `catalogName` - the name of the catalog to locate
    Returns:
      String the location of a named catalog

  - ### getBlankNodesURL

    public static final String getBlankNodesURL(String repositoryLocation)
    Get the location of the blank nodes service for a repository
    Parameters:
      `repositoryLocation` - the base location of the repository
    Returns:
      the location of the blank nodes service

  - ### getSessionURL

    public static final String getSessionURL(String serverLocation)

  - ### getSessionCloseLocation

    public static final String getSessionCloseLocation(String sessionRoot)

  - ### getSessionPingLocation

    public static final String getSessionPingLocation(String sessionRoot)

  - ### getQueriesLocation

    public static final String getQueriesLocation(String sessionRoot)

  - ### getSavedQueryLocation

    public static final String getSavedQueryLocation(String sessionRoot, String queryName)

  - ### getAutoCommitLocation

    public static final String getAutoCommitLocation(String sessionRoot)

  - ### getStoredProcLocation

    public static final String getStoredProcLocation(String sessionRoot)

  - ### getStatementsDeleteLocation

    public static String getStatementsDeleteLocation(String sessionRoot)

  - ### getFreetextLocation

    public static String getFreetextLocation(String sessionRoot)

  - ### getFreetextIndexLocation

    public static String getFreetextIndexLocation(String sessionRoot)

  - ### getFreetextIndexLocation

    public static String getFreetextIndexLocation(String sessionRoot, String name)

  - ### getMappingLocation

    public static String getMappingLocation(String sessionRoot)

  - ### getDatatypeMappingLocation

    public static String getDatatypeMappingLocation(String sessionRoot)

  - ### getPredicateMappingLocation

    public static String getPredicateMappingLocation(String sessionRoot)

  - ### getFunctorLocation

    public static String getFunctorLocation(String serverRoot)

  - ### getNamedCatalogRepositoriesLocation

    public static String getNamedCatalogRepositoriesLocation(String catalogURL)

  - ### getRootCatalogRepositoriesLocation

    public static String getRootCatalogRepositoriesLocation(String catalogURL)

  - ### getEvalLocation

    public static String getEvalLocation(String sessionRoot)

  - ### getGeoLocation

    public static String getGeoLocation(String sessionRoot)

  - ### getGeoTypesLocation

    public static String getGeoTypesLocation(String sessionRoot)

  - ### getGeoTypesCartesianLocation

    public static String getGeoTypesCartesianLocation(String sessionRoot)

  - ### getGeoTypesSphericalLocation

    public static String getGeoTypesSphericalLocation(String sessionRoot)

  - ### getGeoBoxLocation

    public static String getGeoBoxLocation(String sessionRoot)

  - ### getGeoCircleLocation

    public static String getGeoCircleLocation(String sessionRoot)

  - ### getGeoHaversineLocation

    public static String getGeoHaversineLocation(String sessionRoot)

  - ### getGeoPolygonLocation

    public static String getGeoPolygonLocation(String sessionRoot)

  - ### getSNAGeneratorsLocation

    public static String getSNAGeneratorsLocation(String sessionRoot)

  - ### getSNAGeneratorLocation

    public static String getSNAGeneratorLocation(String sessionRoot, String generator)

  - ### getSNANeighborMatricesLocation

    public static String getSNANeighborMatricesLocation(String sessionRoot)

  - ### getSNANeighborMatrixLocation

    public static String getSNANeighborMatrixLocation(String sessionRoot, String matrix)

  - ### encode

    public static String encode(String s)

  - ### getIndicesURL

    public static String getIndicesURL(String root)

  - ### spinURL

    public static String spinURL(String root, String type, String uri) throws AGHttpException
    Throws:
      `AGHttpException`

  - ### getAttributeDefinitionLocation

    public static String getAttributeDefinitionLocation(String root)

  - ### getStaticFilterLocation

    public static String getStaticFilterLocation(String root)

  - ### getNDGeospatialDatatypeAutomation

    public static String getNDGeospatialDatatypeAutomation(String root)

  - ### getQueryOptionsLocation

    public static String getQueryOptionsLocation(String root)

  - ### getQueryOptionLocation

    public static String getQueryOptionLocation(String root, String name)